## eq10q 1.2

=== Makefile ===
BUNDLE = paramEQ-Rafols.lv2
INSTALL_DIR = /usr/local/lib/lv2


$(BUNDLE): manifest.ttl parameq.ttl paramEQ.so parameq_gui.so  logo_top_top.png logo_top.png logo_center.png logo_bottom.png logo_bottom_bottom.png EQ-10Q_bakc.png combopix
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp manifest.ttl parameq.ttl paramEQ.so parameq_gui.so logo_top_top.png logo_top.png logo_center.png logo_bottom.png logo_bottom_bottom.png EQ-10Q_bakc.png $(BUNDLE)
	cp -R combopix $(BUNDLE)

paramEQ.so: plugin.cpp
	g++ -O3 -shared -fPIC -DPIC plugin.cpp `pkg-config --cflags --libs lv2-plugin` -o paramEQ.so

parameq_gui.so: main_window.cpp band_ctl.cpp ctlbutton.cpp bodeplot.cpp vuwidget.cpp templatewidget.cpp pixmapcombo.cpp
	g++ -O3 -shared -fPIC -DPIC  bodeplot.cpp templatewidget.cpp vuwidget.cpp pixmapcombo.cpp ctlbutton.cpp  band_ctl.cpp main_window.cpp `pkg-config --cflags --libs lv2-gui plotmm`  -o parameq_gui.so


install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

clean:
	rm -rf $(BUNDLE) paramEQ.so parameq_gui.so
