=== debian/changelog ===
eq10q (1.2-2) unstable; urgency=low

  * debian/patches/01-makefile.patch:
    - Current sid's lv2-c++-tools provides static libraries needed to
      build the plugin.
  * Build-depend on lv2-c++-tools >= 1.0.4-3~
  * Remove build-dependency on libpaq-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Mar 2011 10:48:11 +0100

eq10q (1.2-1) unstable; urgency=low

  * New upstream release.
  * Added patch fixing missing prefix definition.
  * Added patches fixing instalation path to meet debian practice.
  * Delete 4-parameq.ttl.patch, not needed anymore.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 09 Mar 2011 21:37:11 +0100

eq10q (1.1-1) unstable; urgency=low

  * Initial release (Closes: #584622). 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 14 Jan 2011 01:27:59 +0100
