=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 libgtkmm-2.4-dev,
 libpstreams-dev,
 libplotmm-dev,
 lv2-c++-tools (>= 1.0.4-3~),
 pkg-config
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/eq10q.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/eq10q.git
Homepage: http://eq10q.sourceforge.net

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 equalizer
 EQ10Q is an audio plugin over the LV2 standard (http://lv2plug.in)
 implementing a powerful and flexible parametric equalizer, currently
 in development. The goal is to create an equalizer plugin that includes
 parametric equalization with different filter types like peaking, HPF,
 LPF, Shelving and Notch with IIR and FIR algorithms and a nice GUI
 displaying the equalization curve.
