=== debian/watch ===
version=3
http://sf.net/eq10q/EQ10Q-LV2Plugin-source-(.*)\.tar\.gz
