=== debian/changelog ===
eq10q (2.0~beta5.1~repack0-2) unstable; urgency=low

  * Added patch to remove sse optimization.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 20 Feb 2014 22:27:55 +0100

eq10q (2.0~beta5.1~repack0-1) unstable; urgency=low

  * New upstream release.
  * Set dh/compat 9.
  * Bump Standards.
  * Added cmake as build-dep.
  * Patches removed - not applied anymore.
  * Added patch to fix prefix.
  * Removed plotmm as build-dep.
  * Update VCS urls.
  * Update copyright.
  * Update watch file.
  * Added README.source file.
  * Removed lv2-c++-tools and libpstreams-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Feb 2014 15:19:16 +0100
