=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 cmake,
 libgtkmm-2.4-dev,
 pkg-config
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/eq10q.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/eq10q.git
Homepage: http://eq10q.sourceforge.net

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 plugins bundle
 Package contains these plugins:
  * eq10q - 10 band equalizer;
  * eq6q  -  6 band equalizer;
  * eq4q  -  4 band equalizer;
  * eq1q  -  1 band equalizer;
  * cs10q -  compressor;
  * gt10q -  gate.
 .
 All plugins have mono and stereo version.
 .
 More information:
 http://eq10q.sourceforge.net/
