=== debian/changelog ===
eq10q (2.0~beta7.1~repack0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Alessio Treglia <alessio@debian.org>  Wed, 10 Jun 2015 14:50:17 +0100

eq10q (2.0~beta7.1~repack0-1) unstable; urgency=medium

   [ Jaromír Mikeš ]
  * New upstream release.
  * Bump Standards.
  * Update copyright file.
  * Add lv2-dev and libfftw3-dev as build-dep.
  * Patches refreshed.
  * Add get-orig-source for repacking.

   [ Alessio Treglia ]
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 19:01:39 +0100
