=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Build-Depends: debhelper (>= 9),
  cmake,
  libgtkmm-2.4-dev,
- pkg-config
-Standards-Version: 3.9.5
+ pkg-config,
+ lv2-dev,
+ libfftw3-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/eq10q.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/eq10q.git
 Homepage: http://eq10q.sourceforge.net
