=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
DFSG = repack0

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

get-orig-source:
	cd $(DEBIAN_DIR)/.. && uscan --force-download
	tar xf ../eq10q-$(UPSTREAM_VERSION).tar.gz
	rm ../eq10q-$(UPSTREAM_VERSION).tar.gz \
	../eq10q_$(UPSTREAM_VERSION).orig.tar.gz
	mv eq10q-$(UPSTREAM_VERSION) eq10q-$(UPSTREAM_VERSION)~$(DFSG)
	tar cf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar \
	--exclude=.kdev4 eq10q-$(UPSTREAM_VERSION)~$(DFSG) \
	--exclude-vcs
	gzip -9fn ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
	rm -r eq10q-$(UPSTREAM_VERSION)~$(DFSG)
