=== gui/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 add_library(eqwin  STATIC
 		mainwidget.cpp bandctl.cpp  eqparams.cpp  knob.cpp knob2.cpp 
 		vuwidget.cpp eqwindow.cpp filter.cpp setwidgetcolors.cpp 
-		bodeplot.cpp button.cpp toggle_button.cpp fftctlwidget.cpp abbutton.cpp)
+		bodeplot.cpp button.cpp toggle_button.cpp abbutton.cpp sidechainbox.cpp)
 
 target_link_libraries( eqwin ${GTKMM_LIBRARIES} m)
 
@@ -16,3 +16,6 @@
 
 add_library(bassupwin STATIC mainwidget.cpp knob.cpp knob2.cpp bassupwindow.cpp)
 target_link_libraries( bassupwin ${GTKMM_LIBRARIES} m)
+
+add_library(midsidewin STATIC  mainwidget.cpp vuwidget.cpp  knob.cpp knob2.cpp midsidewindow.cpp setwidgetcolors.cpp button.cpp toggle_button.cpp sidechainbox.cpp)
+target_link_libraries( midsidewin ${GTKMM_LIBRARIES} m)
