=== debian/changelog ===
eq10q (2.0~repack0-1) unstable; urgency=medium

  * Imported Upstream version 2.0~repack0 (Closes: #805661)
  * Repack with xz compression.
  * Refresh patches.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 19 Dec 2015 05:59:43 +0100
