=== debian/control ===
--- 
+++ 
@@ -22,12 +22,13 @@
 Provides: lv2-plugin
 Description: LV2 plugins bundle
  Package contains these plugins:
-  * eq10q - 10 band equalizer;
-  * eq6q  -  6 band equalizer;
-  * eq4q  -  4 band equalizer;
-  * eq1q  -  1 band equalizer;
-  * cs10q -  compressor;
-  * gt10q -  gate.
+  * eq10q  - 10 band equalizer;
+  * eq6q   -  6 band equalizer;
+  * eq4q   -  4 band equalizer;
+  * eq1q   -  1 band equalizer;
+  * cs10q  -  compressor;
+  * gt10q  -  gate;
+  * bassup -  bass enhancer.
  .
  All plugins have mono and stereo version.
  .
