=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,7 @@
 	tar cf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar \
 	--exclude=.kdev4 eq10q-$(UPSTREAM_VERSION)~$(DFSG) \
 	--exclude-vcs
-	gzip -9fn ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
-	rm -r eq10q-$(UPSTREAM_VERSION)~$(DFSG)
+	xz -zf ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
+	rm -rf eq10q-$(UPSTREAM_VERSION)~$(DFSG)
+#	mv eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar.xz ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar.xz
+#	rm ../eq10q_$(UPSTREAM_VERSION)~$(DFSG).orig.tar
