=== debian/watch ===
version=3
opts=dversionmangle=s/~repack0.*// \
http://sf.net/eq10q/eq10q-(.*)\.tar\.gz
